Skip to navigation

Get agreement for elastic template

View as Markdown

Gets the agreement specified by agreementId.

Required authentication scopes: click.manage or click.send.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

agreementIdstringRequired
The agreement ID.
clickwrapIdstringRequired
The GUID of the elastic template.

Response

Successful response.
accountIdstringOptional

The external account number (int) or account ID GUID.

agreedOnobjectOptional

Date that the client last completed the agreement.

This property is null if agreementUrl is not null and status is not agreed.

agreementIdstringOptional
The agreement ID.
agreementUrlstringOptional

When not null, an agreement is required for user specified by clientUserId.

When missing the user specified by clientUserId has already agreed and does not require a new acceptance.

Use this URL to render the agreement in a web page.

clickwrapIdstringOptional
The GUID of the elastic template.
clientUserIdstringOptional

A unique value that identifies a user. You can use anything that your system uses to identify unique users, such as employee IDs, email addresses, and surrogate keys as the value of clientUserId.

An elastic signing agreement with a specific clientUserId will not appear again once it has been accepted.

consumerDisclosureEnabledbooleanOptional

True if consumer disclosure was required by this agreement.

consumerDisclosureHtmlstringOptional

The customer-branded HTML with the Electronic Record and Signature Disclosure information

createdOnobjectOptional
The date when the elastic template was created. May be null.
dataFieldslist of objectsOptional

An array of dataField objects.

declinedOnobjectOptional

The date when the user declined the most recent required agreement.

This property is valid only when status is declined. Otherwise it is null.

documentDatamap from strings to stringsOptional

This property specifies the data used to create an elastic template with dynamic content.

documentslist of objectsOptional
An array of documents.
metadatastringOptional

A customer-defined string you can use in requests. This string will appear in the corresponding response.

returnUrlstringOptional
The URL redirected to after the agreement was completed.
settingsobjectOptional
Information about how an agreement is displayed.
statusstringOptional

User agreement status. One of:

  • created
  • agreed
  • declined
styleobjectOptional

This property specifies the custom style provided when the agreement was created by customizing the template appearance.

versionstringOptional

The human-readable semver version string.

versionIdstringOptional
The ID of the version.
versionNumberintegerOptional

Human-readable version number. For example 1.2.

Errors

400
Bad Request Error